KashierDevelopersKashier Developers

Bulk transfers

curl -X POST "https://test-fep.kashier.io/v3/transfers/batch?merchantBatchId=string&batchName=string"
{  "messages": {    "en": "We're processing your transfer.",    "ar": ".جاري معالجة المعاملة"  }}

Creates a bulk payout transfer from an uploaded file of transfers.

Authorization

secretKey
Authorization<token>

Merchant secret key used to identify the merchant, obtained from Kashier's dashboard. Pass the raw secret key value in the Authorization header (NOT a "Bearer" token).

In: header

Query Parameters

merchantBatchId*string

Refers to a unique identifier assigned by a merchant to a specific batch of transactions

batchName*string

refers to a human-readable label or name assigned to a batch of transactions. It is used primarily for identification and organization purposes, making it easier to manage and understand the context of a batch without relying on technical IDs like merchantBatchId

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

POST
/v3/transfers/batch